# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/gauche-cesconv /usr/bin/gauche-config /usr/bin/gauche-install /usr/bin/gauche-package /usr/bin/gosh /usr/bin/gzip /usr/bin/makeinfo libGL-devel libICE-devel
# END SourceDeps(oneline)
%global gauche_main_version 0.9
%global gauche_version %{gauche_main_version}.3
%global gauche_nextver %{gauche_main_version}.4

Name:           gauche-gl
Version:        0.5.1
Release:        alt1_6
Summary:        OpenGL binding for Gauche

Group:          Development/Other
%if 0%{?rhel}
%endif
License:        BSD
URL:            http://practical-scheme.net/
Source:         http://download.sourceforge.net/gauche/Gauche-gl-%{version}.tgz

%if 0%{?el5}
%endif

BuildRequires:  gauche-devel >= %{gauche_version}
BuildRequires:  gauche-devel < %{gauche_nextver}
BuildRequires:  libfreeglut-devel
BuildRequires:  libSM-devel
BuildRequires:  libXext-devel
BuildRequires:  libXi-devel
BuildRequires:  libXmu-devel
BuildRequires:  texinfo
# To match gauche
ExcludeArch:    ppc64
Source44: import.info


%description
OpenGL binding for Gauche.


%package devel
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}

%description devel
Development files for %{name}.


%prep
%setup -q -n Gauche-gl-%{version}
# add RPM opt flags
sed -i 's/@X_CFLAGS@/@X_CFLAGS@ @CFLAGS@/g' src/Makefile.in


%build
%configure
make %{?_smp_mflags}


%install
%if 0%{?el5}
%endif
make install DESTDIR=$RPM_BUILD_ROOT

# no japanese info docs
rm -f $RPM_BUILD_ROOT%{_infodir}/gauche-gl-refj.*

# make .so files executable
find $RPM_BUILD_ROOT -name '*.so' -exec chmod 0755 '{}' ';'

# include file not necessary
rm -rf $RPM_BUILD_ROOT%{_libdir}/gauche/%{gauche_version}*/include

# correct end-of-line-encoding
sed -i 's/\r//' examples/slbook/ogl2particle/* examples/slbook/ogl2brick/*

# these are not necessary
rm -f examples/glbook/run
rm -f examples/slbook/ogl2particle/run.sh

# set read permissions for debuginfo package
find . -print0 | xargs -0 chmod a+r


%check
make check


%files
%doc COPYING examples
%{_libdir}/gauche-%{gauche_main_version}/site/*/libgauche-*.so
%{_datadir}/gauche-%{gauche_main_version}/site/lib/.packages/Gauche-gl.gpd
%{_datadir}/gauche-%{gauche_main_version}/site/lib/gl.scm
%{_datadir}/gauche-%{gauche_main_version}/site/lib/gl
%{_infodir}/gauche-gl-refe.*


%files devel
%{_libdir}/gauche-%{gauche_main_version}/site/include/gauche/math3d.h


%changelog
* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.1-alt1_6
- update to new release by fcimport

* Sat Jan 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.1-alt1_5
- initial fc import

